Index: configure.ac
===================================================================
--- configure.ac	(revision 336e331077ae1495a8fb791f9f59393e6adcb006)
+++ configure.ac	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
@@ -226,5 +226,4 @@
 	src/Makefile 
 	src/Actions/Makefile
-	src/Exceptions/Makefile
   src/Graph/Makefile
 	src/LinearAlgebra/Makefile
Index: src/Actions/unittests/Makefile.am
===================================================================
--- src/Actions/unittests/Makefile.am	(revision 336e331077ae1495a8fb791f9f59393e6adcb006)
+++ src/Actions/unittests/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
@@ -20,5 +20,4 @@
 	../../Shapes/libMolecuilderShapes.la \
 	../../LinearAlgebra/libMolecuilderLinearAlgebra.la \
-	../../Exceptions/libMolecuilderExceptions.la \
 	../../RandomNumbers/libMolecuilderRandomNumbers.la \
 	${CodePatterns_LIBS} \
Index: src/Descriptors/unittests/Makefile.am
===================================================================
--- src/Descriptors/unittests/Makefile.am	(revision 336e331077ae1495a8fb791f9f59393e6adcb006)
+++ src/Descriptors/unittests/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
@@ -18,5 +18,4 @@
 	../../Shapes/libMolecuilderShapes.la \
 	../../LinearAlgebra/libMolecuilderLinearAlgebra.la \
-	../../Exceptions/libMolecuilderExceptions.la \
 	../../RandomNumbers/libMolecuilderRandomNumbers.la \
 	${CodePatterns_LIBS} \
Index: c/Exceptions/CustomException.cpp
===================================================================
--- src/Exceptions/CustomException.cpp	(revision 336e331077ae1495a8fb791f9f59393e6adcb006)
+++ 	(revision )
@@ -1,40 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * CustomException.cpp
- *
- *  Created on: Apr 7, 2010
- *      Author: crueger
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "CustomException.hpp"
-#include <iostream>
-
-using namespace std;
-
-CustomException::CustomException(std::string _file, int _line):
- file(_file),
- line(_line)
-{}
-
-CustomException::~CustomException() throw ()
-{}
-
-
-ostream& operator<<(ostream &ost,CustomException &excp){
-  // we use this to let others know from where the exception was thrown
-  ost << excp.what() << "\nIn " << excp.file << ":" << excp.line;
-  return ost;
-}
Index: c/Exceptions/CustomException.hpp
===================================================================
--- src/Exceptions/CustomException.hpp	(revision 336e331077ae1495a8fb791f9f59393e6adcb006)
+++ 	(revision )
@@ -1,39 +1,0 @@
-/*
- * CustomException.hpp
- *
- *  Created on: Apr 7, 2010
- *      Author: crueger
- */
-
-#ifndef CUSTOMEXCEPTION_HPP_
-#define CUSTOMEXCEPTION_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include <exception>
-#include <iosfwd>
-#include <string>
-
-/**
- * Custom Exceptions are simply a bit more verbose versions of the
- * std::exceptions.
- */
-class CustomException : public std::exception
-{
-  friend std::ostream& operator<<(std::ostream &ost, CustomException &excp);
-public:
-  CustomException(std::string file, int line);
-  virtual ~CustomException() throw();
-
-private:
-  std::string file;
-  int line;
-};
-
-std::ostream& operator<<(std::ostream &ost, CustomException &excp);
-
-#endif /* CUSTOMEXCEPTION_HPP_ */
Index: c/Exceptions/Makefile.am
===================================================================
--- src/Exceptions/Makefile.am	(revision 336e331077ae1495a8fb791f9f59393e6adcb006)
+++ 	(revision )
@@ -1,64 +1,0 @@
-# PLEASE adhere to the alphabetical ordering in this Makefile!
-# Also indentation by a single tab
-
-INCLUDES = -I$(top_srcdir)/src
-
-AM_LDFLAGS = ${CodePatterns_LIBS} -ldl
-AM_CPPFLAGS = ${BOOST_CPPFLAGS} ${CodePatterns_CFLAGS}
-
-EXCEPTIONSOURCE = \
-  CustomException.cpp
-	
-				  
-EXCEPTIONHEADER = \
-  CustomException.hpp
-
-
-
-lib_LTLIBRARIES = libMolecuilderExceptions.la
-libMolecuilderExceptions_la_includedir = $(includedir)/MoleCuilder/Exceptions/
-nobase_libMolecuilderExceptions_la_include_HEADERS = ${EXCEPTIONHEADER}
-
-## Define the source file list for the "libexample-@MOLECUILDER_API_VERSION@.la"
-## target.  Note that @MOLECUILDER_API_VERSION@ is not interpreted by Automake and
-## will therefore be treated as if it were literally part of the target name,
-## and the variable name derived from that.
-## The file extension .cc is recognized by Automake, and makes it produce
-## rules which invoke the C++ compiler to produce a libtool object file (.lo)
-## from each source file.  Note that it is not necessary to list header files
-## which are already listed elsewhere in a _HEADERS variable assignment.
-libMolecuilderExceptions_la_SOURCES = ${EXCEPTIONSOURCE}
-
-## Instruct libtool to include ABI version information in the generated shared
-## library file (.so).  The library ABI version is defined in configure.ac, so
-## that all version information is kept in one place.
-libMolecuilderExceptions_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
-
-## The generated configuration header is installed in its own subdirectory of
-## $(libdir).  The reason for this is that the configuration information put
-## into this header file describes the target platform the installed library
-## has been built for.  Thus the file must not be installed into a location
-## intended for architecture-independent files, as defined by the Filesystem
-## Hierarchy Standard (FHS).
-## The nodist_ prefix instructs Automake to not generate rules for including
-## the listed files in the distribution on 'make dist'.  Files that are listed
-## in _HEADERS variables are normally included in the distribution, but the
-## configuration header file is generated at configure time and should not be
-## shipped with the source tarball.
-#libMolecuilderExceptions_libincludedir = $(libdir)/MoleCuilder/include
-#nodist_libMolecuilderExceptions_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
-
-## Install the generated pkg-config file (.pc) into the expected location for
-## architecture-dependent package configuration information.  Occasionally,
-## pkg-config files are also used for architecture-independent data packages,
-## in which case the correct install location would be $(datadir)/pkgconfig.
-#pkgconfigdir = $(libdir)/pkgconfig
-#pkgconfig_DATA = $(top_builddir)/MoleCuilder.pc
-
-unity.cpp:
-	echo "" >  unity.cpp; \
-	list='$(EXCEPTIONSOURCE)'; for file in $$list; do \
-	  echo "#include \"$(srcdir)/$$file\"" >> unity.cpp; \
-	done;
-	
-MOSTLYCLEANFILES = unity.cpp
Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision 336e331077ae1495a8fb791f9f59393e6adcb006)
+++ src/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
@@ -3,5 +3,4 @@
 
 SUBDIRS = \
-	Exceptions \
 	RandomNumbers \
 	Parser \
@@ -329,5 +328,4 @@
 	Shapes/libMolecuilderShapes.la \
 	LinearAlgebra/libMolecuilderLinearAlgebra.la \
-	Exceptions/libMolecuilderExceptions.la \
 	RandomNumbers/libMolecuilderRandomNumbers.la \
 	${CodePatterns_LIBS} \
@@ -351,5 +349,4 @@
 	Shapes/libMolecuilderShapes.la \
 	LinearAlgebra/libMolecuilderLinearAlgebra.la \
-	Exceptions/libMolecuilderExceptions.la \
 	RandomNumbers/libMolecuilderRandomNumbers.la \
 	${CodePatterns_LIBS} \
@@ -366,5 +363,4 @@
 	Shapes/libMolecuilderShapes.la \
 	LinearAlgebra/libMolecuilderLinearAlgebra.la \
-	Exceptions/libMolecuilderExceptions.la \
 	RandomNumbers/libMolecuilderRandomNumbers.la \
 	${CodePatterns_LIBS} \
@@ -380,5 +376,4 @@
 	Shapes/libMolecuilderShapes.la \
 	LinearAlgebra/libMolecuilderLinearAlgebra.la \
-	Exceptions/libMolecuilderExceptions.la \
 	RandomNumbers/libMolecuilderRandomNumbers.la \
 	${CodePatterns_LIBS} \
Index: src/Parser/unittests/Makefile.am
===================================================================
--- src/Parser/unittests/Makefile.am	(revision 336e331077ae1495a8fb791f9f59393e6adcb006)
+++ src/Parser/unittests/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
@@ -22,5 +22,4 @@
 	../../Shapes/libMolecuilderShapes.la \
 	../../LinearAlgebra/libMolecuilderLinearAlgebra.la \
-	../../Exceptions/libMolecuilderExceptions.la \
 	../../RandomNumbers/libMolecuilderRandomNumbers.la \
 	${CodePatterns_LIBS} \
Index: src/Shapes/Makefile.am
===================================================================
--- src/Shapes/Makefile.am	(revision 336e331077ae1495a8fb791f9f59393e6adcb006)
+++ src/Shapes/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
@@ -23,5 +23,4 @@
 libMolecuilderShapes_la_LIBADD = \
   ../LinearAlgebra/libMolecuilderLinearAlgebra.la \
-	../Exceptions/libMolecuilderExceptions.la \
 	$(GSL_LIBS)
 nobase_libMolecuilderShapes_la_include_HEADERS = ${SHAPEHEADER}
Index: src/Shapes/unittests/Makefile.am
===================================================================
--- src/Shapes/unittests/Makefile.am	(revision 336e331077ae1495a8fb791f9f59393e6adcb006)
+++ src/Shapes/unittests/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
@@ -18,5 +18,4 @@
 	../../Shapes/libMolecuilderShapes.la \
 	../../LinearAlgebra/libMolecuilderLinearAlgebra.la \
-	../../Exceptions/libMolecuilderExceptions.la \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB)
Index: src/UIElements/CommandLineUI/unittests/Makefile.am
===================================================================
--- src/UIElements/CommandLineUI/unittests/Makefile.am	(revision 336e331077ae1495a8fb791f9f59393e6adcb006)
+++ src/UIElements/CommandLineUI/unittests/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
@@ -27,5 +27,4 @@
 	../../../Shapes/libMolecuilderShapes.la \
 	../../../LinearAlgebra/libMolecuilderLinearAlgebra.la \
-	../../../Exceptions/libMolecuilderExceptions.la \
 	../../../RandomNumbers/libMolecuilderRandomNumbers.la \
 	${CodePatterns_LIBS} \
Index: src/UIElements/Menu/unittests/Makefile.am
===================================================================
--- src/UIElements/Menu/unittests/Makefile.am	(revision 336e331077ae1495a8fb791f9f59393e6adcb006)
+++ src/UIElements/Menu/unittests/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
@@ -38,5 +38,4 @@
 	../../../Shapes/libMolecuilderShapes.la \
 	../../../LinearAlgebra/libMolecuilderLinearAlgebra.la \
-	../../../Exceptions/libMolecuilderExceptions.la \
 	../../../RandomNumbers/libMolecuilderRandomNumbers.la \
 	${CodePatterns_LIBS} \
Index: src/unittests/Makefile.am
===================================================================
--- src/unittests/Makefile.am	(revision 336e331077ae1495a8fb791f9f59393e6adcb006)
+++ src/unittests/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
@@ -42,5 +42,4 @@
 	../Shapes/libMolecuilderShapes.la \
 	../LinearAlgebra/libMolecuilderLinearAlgebra.la \
-	../Exceptions/libMolecuilderExceptions.la \
 	../RandomNumbers/libMolecuilderRandomNumbers.la \
 	$(BOOST_LIB)
